curl --request PUT \
--url https://dev.exante.app/api/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_date": "2023-11-07T05:31:56Z",
"invoice_number": "<string>",
"collection_method": "charge_automatically",
"currency": "<string>",
"target_party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
'{
"status": "success",
"status_code": 200,
"message": "Successfully updated 2 invoice(s)",
"data": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"invoice_type": "ACCOUNTS_PAYABLE",
"status": "<string>",
"collection_method": "charge_automatically",
"issue_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_date": "2023-11-07T05:31:56Z",
"subtotal_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total": 123,
"total_cents": 123,
"pre_payment_credit_notes_cents": 123,
"amount_due_cents": 123,
"amount_paid_cents": 123,
"amount_remaining_cents": 123,
"overdue_days": 123,
"currency": "<string>",
"invoice_link": "<string>",
"document_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_blueprint_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"age": 123,
"has_comments": true,
"line_items": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_type_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_type": "DISCOUNT",
"context_name": "<string>",
"currency": "<string>",
"quantity": 123,
"unit_price": 123,
"line_total": 123
}
],
"invoice_fields": [
{
"key": "<string>",
"value": {
"type": "<string>",
"original_type": "<string>",
"value": "<unknown>"
}
}
],
"parties": {
"client": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"billing_contact": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"role": "<string>"
},
"service_provider": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"billing_contact": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"role": "<string>"
}
},
"integrations": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_name": "<string>",
"integration_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"integration_metadata": {}
}
],
"invoice_notes": {
"invoice_memo": "<string>",
"invoice_footer": "<string>"
},
"comments": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"resolved_by": 123,
"resolved_at": "2023-11-07T05:31:56Z",
"actor": {
"id": 123,
"fullname": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com"
}
}
]
}
]
}Updates up to 100 invoices in one all-or-nothing request. Each item must include a uid and at least one editable field.
curl --request PUT \
--url https://dev.exante.app/api/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"issue_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_date": "2023-11-07T05:31:56Z",
"invoice_number": "<string>",
"collection_method": "charge_automatically",
"currency": "<string>",
"target_party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
'{
"status": "success",
"status_code": 200,
"message": "Successfully updated 2 invoice(s)",
"data": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"invoice_type": "ACCOUNTS_PAYABLE",
"status": "<string>",
"collection_method": "charge_automatically",
"issue_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_date": "2023-11-07T05:31:56Z",
"subtotal_cents": 123,
"discount_cents": 123,
"tax_cents": 123,
"total": 123,
"total_cents": 123,
"pre_payment_credit_notes_cents": 123,
"amount_due_cents": 123,
"amount_paid_cents": 123,
"amount_remaining_cents": 123,
"overdue_days": 123,
"currency": "<string>",
"invoice_link": "<string>",
"document_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_blueprint_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"age": 123,
"has_comments": true,
"line_items": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_type_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_type": "DISCOUNT",
"context_name": "<string>",
"currency": "<string>",
"quantity": 123,
"unit_price": 123,
"line_total": 123
}
],
"invoice_fields": [
{
"key": "<string>",
"value": {
"type": "<string>",
"original_type": "<string>",
"value": "<unknown>"
}
}
],
"parties": {
"client": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"billing_contact": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"role": "<string>"
},
"service_provider": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": "<string>",
"billing_contact": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"title": "<string>",
"email": "jsmith@example.com",
"phone": "<string>"
},
"role": "<string>"
}
},
"integrations": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entity_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_name": "<string>",
"integration_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"integration_metadata": {}
}
],
"invoice_notes": {
"invoice_memo": "<string>",
"invoice_footer": "<string>"
},
"comments": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"resolved_by": 123,
"resolved_at": "2023-11-07T05:31:56Z",
"actor": {
"id": 123,
"fullname": "<string>",
"avatar": "<string>",
"email": "jsmith@example.com"
}
}
]
}
]
}uid.
[
{
"uid": "550e8400-e29b-41d4-a716-446655440000",
"status": "SENT",
"due_date": "2026-04-30T00:00:00Z"
},
{
"uid": "550e8400-e29b-41d4-a716-446655440001",
"collection_method": "send_invoice"
}
]
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
1 - 100 elements